<?xml version="1.0" encoding="utf-8"?>
<Project ToolsVersion="14.0" DefaultTargets="Build" xmlns="http://schemas.microsoft.com/developer/msbuild/2003">
  <Import Project="$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props" Condition="Exists('$(MSBuildExtensionsPath)\$(MSBuildToolsVersion)\Microsoft.Common.props')" />
  <PropertyGroup>
    <Configuration Condition=" '$(Configuration)' == '' ">Debug</Configuration>
    <Platform Condition=" '$(Platform)' == '' ">AnyCPU</Platform>
    <ProjectGuid>{8E39978D-E06F-44CD-BBC9-B6F10FAC29DE}</ProjectGuid>
    <OutputType>Library</OutputType>
    <AppDesignerFolder>Properties</AppDesignerFolder>
    <RootNamespace>Com.FirmLib</RootNamespace>
    <AssemblyName>Com.FirmLib</AssemblyName>
    <TargetFrameworkVersion>v4.6.1</TargetFrameworkVersion>
    <FileAlignment>512</FileAlignment>
    <TargetFrameworkProfile />
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|AnyCPU' ">
    <DebugSymbols>true</DebugSymbols>
    <DebugType>full</DebugType>
    <Optimize>false</Optimize>
    <OutputPath>..\..\OutputDll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|AnyCPU' ">
    <DebugType>pdbonly</DebugType>
    <Optimize>true</Optimize>
    <OutputPath>..\..\OutputDll\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <ErrorReport>prompt</ErrorReport>
    <WarningLevel>4</WarningLevel>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Debug|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\..\OutputDll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'Release|x64'">
    <OutputPath>..\..\OutputDll\</OutputPath>
    <DefineConstants>TRACE</DefineConstants>
    <Optimize>true</Optimize>
    <DebugType>pdbonly</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'RR17|AnyCPU'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>..\..\OutputDll\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>AnyCPU</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <PropertyGroup Condition="'$(Configuration)|$(Platform)' == 'RR17|x64'">
    <DebugSymbols>true</DebugSymbols>
    <OutputPath>bin\x64\RR17\</OutputPath>
    <DefineConstants>DEBUG;TRACE</DefineConstants>
    <DebugType>full</DebugType>
    <PlatformTarget>x64</PlatformTarget>
    <ErrorReport>prompt</ErrorReport>
    <CodeAnalysisRuleSet>MinimumRecommendedRules.ruleset</CodeAnalysisRuleSet>
  </PropertyGroup>
  <ItemGroup>
    <Reference Include="FWindSoft">
      <HintPath>..\..\Dlls\FWindSoft.dll</HintPath>
    </Reference>
    <Reference Include="Newtonsoft.Json, Version=6.0.0.0, Culture=neutral, PublicKeyToken=30ad4fe6b2a6aeed, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\Dlls\Newtonsoft.Json.dll</HintPath>
    </Reference>
    <Reference Include="SAGA.DotNetUtils, Version=1.0.0.0, Culture=neutral, processorArchitecture=MSIL">
      <SpecificVersion>False</SpecificVersion>
      <HintPath>..\..\Dlls\SAGA.DotNetUtils.dll</HintPath>
    </Reference>
    <Reference Include="SAGA.RevitUtils">
      <HintPath>..\..\Dlls\SAGA.RevitUtils.dll</HintPath>
    </Reference>
    <Reference Include="System" />
    <Reference Include="System.ComponentModel.Composition" />
    <Reference Include="System.Configuration" />
    <Reference Include="System.Core" />
    <Reference Include="System.Net.Http.WebRequest" />
    <Reference Include="System.Runtime.Caching" />
    <Reference Include="System.Xml.Linq" />
    <Reference Include="System.Data.DataSetExtensions" />
    <Reference Include="System.Data" />
    <Reference Include="System.Net.Http" />
    <Reference Include="System.Xml" />
  </ItemGroup>
  <ItemGroup>
    <Compile Include="BaseHttpBll.cs" />
    <Compile Include="Bll\AssetBll.cs" />
    <Compile Include="Bll\BrandBll.cs" />
    <Compile Include="Bll\EquipmentFamilyBll.cs" />
    <Compile Include="Bll\EquipmentInfoPointBll.cs" />
    <Compile Include="Bll\FileBll.cs" />
    <Compile Include="Bll\GeneralBll.cs" />
    <Compile Include="Bll\InsuerBll.cs" />
    <Compile Include="Bll\MaintainerBll.cs" />
    <Compile Include="Bll\ManufacturerBll.cs" />
    <Compile Include="Bll\MBIBll\StationVenderBll.cs" />
    <Compile Include="Bll\PlatformBll\PlatformBll.cs" />
    <Compile Include="Bll\ProductBll.cs" />
    <Compile Include="Bll\ProductDirectoryBll.cs" />
    <Compile Include="Bll\ProductTypeBll.cs" />
    <Compile Include="Bll\ProjectBll.cs" />
    <Compile Include="Bll\SellerBll.cs" />
    <Compile Include="CacheData\PlatformProjectManager.cs" />
    <Compile Include="Common\BatchResult.cs" />
    <Compile Include="Common\JObjectExtension.cs" />
    <Compile Include="Common\PostFile.cs" />
    <Compile Include="Common\PostResult.cs" />
    <Compile Include="Common\ProjectSetting.cs" />
    <Compile Include="Entity\AssetItem.cs" />
    <Compile Include="Entity\BrandItem.cs" />
    <Compile Include="Entity\EquipmentFamilyItem.cs" />
    <Compile Include="Entity\EquipmentInfoPointItem.cs" />
    <Compile Include="Entity\InsuerItem.cs" />
    <Compile Include="Entity\LinkerItem.cs" />
    <Compile Include="Entity\MaintainerItem.cs" />
    <Compile Include="Entity\ManufacturerItem.cs" />
    <Compile Include="Entity\MBIEntity\BrandTreeItem.cs" />
    <Compile Include="Entity\MBIEntity\InsuerPolicyItem.cs" />
    <Compile Include="Entity\MBIEntity\ProductTypeDetailItem.cs" />
    <Compile Include="Entity\MBIEntity\SupplyContractItem.cs" />
    <Compile Include="Entity\MBIEntity\VenderLinkItem.cs" />
    <Compile Include="Entity\MBIParameter\MBIBuiltInParameter.cs" />
    <Compile Include="Entity\MBIParameter\MBIDefinition.cs" />
    <Compile Include="Entity\MBIParameter\MBIItem.cs" />
    <Compile Include="Entity\MBIParameter\MBIParameter.cs" />
    <Compile Include="Entity\ParameterItem.cs" />
    <Compile Include="Entity\PlatformEntity\ParameterUtil.cs" />
    <Compile Include="Entity\PlatformEntity\TdAssetItem.cs" />
    <Compile Include="Entity\PlatformEntity\SearchLimit.cs" />
    <Compile Include="Entity\PlatformEntity\SearchResult.cs" />
    <Compile Include="Entity\PolicyItem.cs" />
    <Compile Include="Entity\ProductItem.cs" />
    <Compile Include="BllHttpSetting.cs" />
    <Compile Include="Entity\ProductTypeItem.cs" />
    <Compile Include="Entity\ProjectItem.cs" />
    <Compile Include="Entity\SellerItem.cs" />
    <Compile Include="FileUrlValidate.cs" />
    <Compile Include="HttpClientManager.cs" />
    <Compile Include="Properties\AssemblyInfo.cs" />
    <Compile Include="RequestInfo.cs" />
    <Compile Include="ResponseRelation.cs" />
  </ItemGroup>
  <ItemGroup>
    <None Include="app.config">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </None>
  </ItemGroup>
  <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
  <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
       Other similar extension points exist, see Microsoft.Common.targets.
  <Target Name="BeforeBuild">
  </Target>
  <Target Name="AfterBuild">
  </Target>
  -->
</Project>